Subject: Re: bug#59320: Acknowledgement (29.0.50; (Windows) Cursor is invisble unless inhibit-double-buffer is t, and then it only appears as a single pixel line)

From: Po Lu <[email-masked]>
Date: Wed, 23 Nov 2022 21:54:32 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Po Lu <[email-masked]>
>> Cc: Casey Banner <[email-masked]>,  [email-masked]
>> Date: Wed, 23 Nov 2022 08:42:43 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > So I guess we should disable double-buffering on Windows when system caret
>> > is in use?
>> 
>> I'd only do that if all else fails.  How does MS-Windows display the
>> system caret, and why can't it be made to work with double-buffering?
>
> I don't know the answer to the second part, but if you search the C sources
> for w32_use_visible_system_caret, you will probably see the answer right
> away (there aren't many hits).

Sure, I will give this a look in a bit (I don't have easy access to
Windows right now.)